-- Create ELECTION_ROUND table

CREATE TABLE FACELECTMGR.ELECTION_ROUND
   (
      ELECTION_ID NUMBER(7,0),
      ROUND_TYPE_ID NUMBER(7,0),
      DESCRIPTION VARCHAR2(300),
      CREATE_USER VARCHAR2(300),
      UPDATE_USER VARCHAR2(300),
      START_DATE DATE,
      END_DATE DATE,
      DATE_CREATED DATE,
      DATE_UPDATED DATE,
      PRIMARY KEY(ELECTION_ID, ROUND_TYPE_ID),
      FOREIGN KEY(ROUND_TYPE_ID) REFERENCES FACELECTMGR.ROUND_TYPE(ROUND_TYPE_ID),
      FOREIGN KEY(ELECTION_ID) REFERENCES FACELECTMGR.ELECTION(ELECTION_ID)
   );

-- ELECTION_ROUND Table column name description:

   COMMENT ON COLUMN "FACELECTMGR"."ELECTION_ROUND"."ELECTION_ID" IS 'id related to election table';
   COMMENT ON COLUMN "FACELECTMGR"."ELECTION_ROUND"."ROUND_TYPE_ID" IS 'id related to the round_type table';
   COMMENT ON COLUMN "FACELECTMGR"."ELECTION_ROUND"."DESCRIPTION" IS 'description of the election_round';
   COMMENT ON COLUMN "FACELECTMGR"."ELECTION_ROUND"."CREATE_USER" IS 'used to create the user';
   COMMENT ON COLUMN "FACELECTMGR"."ELECTION_ROUND"."UPDATE_USER" IS 'User who updated the record.';
   COMMENT ON COLUMN "FACELECTMGR"."ELECTION_ROUND"."START_DATE" IS 'start date of the election round';
   COMMENT ON COLUMN "FACELECTMGR"."ELECTION_ROUND"."END_DATE" IS 'end date of the election round';
   COMMENT ON COLUMN "FACELECTMGR"."ELECTION_ROUND"."DATE_CREATED" IS 'date when the election round was created';
   COMMENT ON COLUMN "FACELECTMGR"."ELECTION_ROUND"."DATE_UPDATED" IS 'date when the election round was updated';